// 1.Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикли в програмуванні потрібні для того щоб задати багаторазове повторення коду.
// Вони визначають, скільки разів потрібно повторити певну команду, чи декілька команд,
// або до виконання якої умови повторювати ці команди.

// 2.Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// якщо потрібно прочитати кожен елемент масиву і виконати з ним якусь операцію, можна використовувати цикл "for". 
// Цикл "while" зазвичай використовується для повторення операцій до тих пір, поки виконується якась умова. 
// Цикл "do-while" використовується, коли потрібно, щоб код виконувався хоча б один раз, незалежно від того, чи виконується умова.

// 3.Що таке явне та неявне приведення (перетворення) типів даних у JS?
// Явне перетворення типів в JS - це використання функцій: Boolean(), Number(), String(). 
// Неявне перетворення типів - це коли в виразах використовуються значення з різними типами.
// І ці значення можуть бути конвертовані між різними типами автоматично.
// Наприклад: 
// "number" + 15; "number15" (string) 
// 9*"3";  27 (number)



// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. 
// Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"

const userNum = prompt('Enter your number');

let hasNumber = false;

for (let i = 1; i <= userNum; i++) {
    if (i % 5 == 0) {
        console.log(i);
        hasNumber = true;
    } 
}

if (!hasNumber) {
    console.log('Sorry, no numbers');
}




